Summary: Library for getting/setting POSIX.1e capabilities
Name: libcap
Version: 2.73
Release: r0
License: BSD-3-Clause | GPL-2.0-only
Group: base
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: http://sites.google.com/site/fullycapable/
Source0: libcap-2.73.tar.xz
Source1: 0001-ensure-the-XATTR_NAME_CAPS-is-defined-when-it-is-use.patch
Source2: series
Source3: 0002-tests-do-not-run-target-executables.patch
BuildRequires: gperf-native
BuildRequires: hostperl-runtime-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-poky-linux-compilerlibs
BuildRequires: virtual/x86_64-poky-linux-gcc
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.2)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc.so.6(GLIBC_2.8)(64bit)
Requires: libc.so.6(GLIBC_2.9)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: rtld(GNU_HASH)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.2)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.33)(64bit)
Requires(post): libc.so.6(GLIBC_2.34)(64bit)
Requires(post): libc.so.6(GLIBC_2.38)(64bit)
Requires(post): libc.so.6(GLIBC_2.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.8)(64bit)
Requires(post): libc.so.6(GLIBC_2.9)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): rtld(GNU_HASH)
Provides: libcap.so.2()(64bit)
Provides: libpsx.so.2()(64bit)

%description
A library providing the API to access POSIX capabilities. These allow
giving various kinds of specific privileges to individual users, without
giving them full root permissions.

%package -n libcap-src
Summary: Library for getting/setting POSIX.1e capabilities - Source files
License: BSD-3-Clause | GPL-2.0-only
Group: devel

%description -n libcap-src
A library providing the API to access POSIX capabilities. These allow
giving various kinds of specific privileges to individual users, without
giving them full root permissions.  This package contains sources for
debugging purposes.

%package -n libcap-dbg
Summary: Library for getting/setting POSIX.1e capabilities - Debugging files
License: BSD-3-Clause | GPL-2.0-only
Group: devel
Recommends: glibc-dbg

%description -n libcap-dbg
A library providing the API to access POSIX capabilities. These allow
giving various kinds of specific privileges to individual users, without
giving them full root permissions.  This package contains ELF symbols and
related sources for debugging purposes.

%package -n libcap-staticdev
Summary: Library for getting/setting POSIX.1e capabilities - Development files (Static Libraries)
License: BSD-3-Clause | GPL-2.0-only
Group: devel
Requires: libcap-dev = 2.73-r0

%description -n libcap-staticdev
A library providing the API to access POSIX capabilities. These allow
giving various kinds of specific privileges to individual users, without
giving them full root permissions.  This package contains static libraries
for software development.

%package -n libcap-dev
Summary: Library for getting/setting POSIX.1e capabilities - Development files
License: BSD-3-Clause | GPL-2.0-only
Group: devel
Requires: libcap
Recommends: glibc-dev
Recommends: libcap = 2.73-r0

%description -n libcap-dev
A library providing the API to access POSIX capabilities. These allow
giving various kinds of specific privileges to individual users, without
giving them full root permissions.  This package contains symbolic links,
header files, and related items necessary for software development.

%package -n libcap-doc
Summary: Library for getting/setting POSIX.1e capabilities - Documentation files
License: BSD-3-Clause | GPL-2.0-only
Group: doc

%description -n libcap-doc
A library providing the API to access POSIX capabilities. These allow
giving various kinds of specific privileges to individual users, without
giving them full root permissions.  This package contains documentation.

%package -n libcap-locale
Summary: Library for getting/setting POSIX.1e capabilities
License: BSD-3-Clause | GPL-2.0-only
Group: base

%description -n libcap-locale
A library providing the API to access POSIX capabilities. These allow
giving various kinds of specific privileges to individual users, without
giving them full root permissions.

%package -n libcap-bin
Summary: Library for getting/setting POSIX.1e capabilities
License: BSD-3-Clause | GPL-2.0-only
Group: base
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libcap >= 2.73
Requires: libcap.so.2()(64bit)
Requires: rtld(GNU_HASH)

%description -n libcap-bin
A library providing the API to access POSIX capabilities. These allow
giving various kinds of specific privileges to individual users, without
giving them full root permissions.

%post
# libcap - postinst
#!/bin/sh
set -e
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/lib"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) "/usr/lib/libpsx.so.2.73"
%attr(777,root,root) "/usr/lib/libpsx.so.2"
%attr(777,root,root) "/lib/libcap.so.2"
%attr(755,root,root) "/lib/libcap.so.2.73"

%files -n libcap-src
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/src/debug"
%attr(755,root,root) %dir "/usr/src/debug/libcap"
%attr(755,root,root) %dir "/usr/src/debug/libcap/2.73"
%attr(755,root,root) %dir "/usr/src/debug/libcap/2.73/psx"
%attr(755,root,root) %dir "/usr/src/debug/libcap/2.73/progs"
%attr(755,root,root) %dir "/usr/src/debug/libcap/2.73/libcap"
%attr(755,root,root) %dir "/usr/src/debug/libcap/2.73/psx/wrap"
%attr(644,root,root) "/usr/src/debug/libcap/2.73/psx/psx.c"
%attr(644,root,root) "/usr/src/debug/libcap/2.73/psx/psx_syscall.h"
%attr(644,root,root) "/usr/src/debug/libcap/2.73/psx/wrap/psx_wrap.c"
%attr(644,root,root) "/usr/src/debug/libcap/2.73/progs/capsh.c"
%attr(644,root,root) "/usr/src/debug/libcap/2.73/progs/capshdoc.c"
%attr(644,root,root) "/usr/src/debug/libcap/2.73/progs/getcap.c"
%attr(644,root,root) "/usr/src/debug/libcap/2.73/progs/getpcaps.c"
%attr(644,root,root) "/usr/src/debug/libcap/2.73/progs/capshdoc.h"
%attr(644,root,root) "/usr/src/debug/libcap/2.73/progs/setcap.c"
%attr(755,root,root) %dir "/usr/src/debug/libcap/2.73/libcap/include"
%attr(644,root,root) "/usr/src/debug/libcap/2.73/libcap/cap_proc.c"
%attr(644,root,root) "/usr/src/debug/libcap/2.73/libcap/psx_exec.c"
%attr(644,root,root) "/usr/src/debug/libcap/2.73/libcap/cap_extint.c"
%attr(644,root,root) "/usr/src/debug/libcap/2.73/libcap/execable.c"
%attr(644,root,root) "/usr/src/debug/libcap/2.73/libcap/cap_text.c"
%attr(644,root,root) "/usr/src/debug/libcap/2.73/libcap/cap_flag.c"
%attr(644,root,root) "/usr/src/debug/libcap/2.73/libcap/cap_alloc.c"
%attr(644,root,root) "/usr/src/debug/libcap/2.73/libcap/_caps_output.gperf"
%attr(644,root,root) "/usr/src/debug/libcap/2.73/libcap/libcap.h"
%attr(644,root,root) "/usr/src/debug/libcap/2.73/libcap/execable.h"
%attr(644,root,root) "/usr/src/debug/libcap/2.73/libcap/cap_file.c"
%attr(644,root,root) "/usr/src/debug/libcap/2.73/libcap/cap_syscalls.c"
%attr(755,root,root) %dir "/usr/src/debug/libcap/2.73/libcap/include/sys"
%attr(755,root,root) %dir "/usr/src/debug/libcap/2.73/libcap/include/uapi"
%attr(644,root,root) "/usr/src/debug/libcap/2.73/libcap/include/sys/capability.h"
%attr(755,root,root) %dir "/usr/src/debug/libcap/2.73/libcap/include/uapi/linux"
%attr(644,root,root) "/usr/src/debug/libcap/2.73/libcap/include/uapi/linux/capability.h"

%files -n libcap-dbg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/lib"
%attr(755,root,root) %dir "/usr/sbin"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/sbin/.debug"
%attr(755,root,root) "/usr/sbin/.debug/capsh"
%attr(755,root,root) "/usr/sbin/.debug/getcap"
%attr(755,root,root) "/usr/sbin/.debug/getpcaps"
%attr(755,root,root) "/usr/sbin/.debug/setcap"
%attr(755,root,root) %dir "/usr/lib/.debug"
%attr(755,root,root) "/usr/lib/.debug/libpsx.so.2.73"
%attr(755,root,root) %dir "/lib/.debug"
%attr(755,root,root) "/lib/.debug/libcap.so.2.73"

%files -n libcap-staticdev
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/lib"
%attr(755,root,root) %dir "/usr/lib"
%attr(644,root,root) "/usr/lib/libpsx.a"
%attr(644,root,root) "/lib/libcap.a"

%files -n libcap-dev
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/lib"
%attr(755,root,root) %dir "/usr/include"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/include/sys"
%attr(644,root,root) "/usr/include/sys/capability.h"
%attr(644,root,root) "/usr/include/sys/psx_syscall.h"
%attr(755,root,root) %dir "/usr/lib/pkgconfig"
%attr(777,root,root) "/usr/lib/libpsx.so"
%attr(644,root,root) "/usr/lib/pkgconfig/libpsx.pc"
%attr(644,root,root) "/usr/lib/pkgconfig/libcap.pc"
%attr(777,root,root) "/lib/libcap.so"

%files -n libcap-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/man"
%attr(755,root,root) %dir "/usr/share/man/man3"
%attr(755,root,root) %dir "/usr/share/man/man5"
%attr(755,root,root) %dir "/usr/share/man/man8"
%attr(755,root,root) %dir "/usr/share/man/man1"
%attr(644,root,root) "/usr/share/man/man3/cap_launcher_callback.3"
%attr(644,root,root) "/usr/share/man/man3/psx_syscall.3"
%attr(644,root,root) "/usr/share/man/man3/cap_launcher_set_chroot.3"
%attr(644,root,root) "/usr/share/man/man3/cap_get_proc.3"
%attr(644,root,root) "/usr/share/man/man3/cap_setgroups.3"
%attr(644,root,root) "/usr/share/man/man3/cap_clear_flag.3"
%attr(644,root,root) "/usr/share/man/man3/cap_get_nsowner.3"
%attr(644,root,root) "/usr/share/man/man3/cap_new_launcher.3"
%attr(644,root,root) "/usr/share/man/man3/libcap.3"
%attr(644,root,root) "/usr/share/man/man3/cap_to_name.3"
%attr(644,root,root) "/usr/share/man/man3/cap_set_mode.3"
%attr(644,root,root) "/usr/share/man/man3/cap_launcher_setuid.3"
%attr(644,root,root) "/usr/share/man/man3/cap_get_file.3"
%attr(644,root,root) "/usr/share/man/man3/cap_launcher_set_mode.3"
%attr(644,root,root) "/usr/share/man/man3/cap_launcher_setgroups.3"
%attr(644,root,root) "/usr/share/man/man3/cap_get_bound.3"
%attr(644,root,root) "/usr/share/man/man3/cap_copy_int.3"
%attr(644,root,root) "/usr/share/man/man3/cap_compare.3"
%attr(644,root,root) "/usr/share/man/man3/cap_size.3"
%attr(644,root,root) "/usr/share/man/man3/capsetp.3"
%attr(644,root,root) "/usr/share/man/man3/cap_iab_get_proc.3"
%attr(644,root,root) "/usr/share/man/man3/psx_set_sensitivity.3"
%attr(644,root,root) "/usr/share/man/man3/__psx_syscall.3"
%attr(644,root,root) "/usr/share/man/man3/cap_fill.3"
%attr(644,root,root) "/usr/share/man/man3/cap_iab_from_text.3"
%attr(644,root,root) "/usr/share/man/man3/cap_iab_to_text.3"
%attr(644,root,root) "/usr/share/man/man3/cap_iab_compare.3"
%attr(644,root,root) "/usr/share/man/man3/cap_prctlw.3"
%attr(644,root,root) "/usr/share/man/man3/cap_launcher_set_iab.3"
%attr(644,root,root) "/usr/share/man/man3/cap_mode.3"
%attr(644,root,root) "/usr/share/man/man3/cap_to_text.3"
%attr(644,root,root) "/usr/share/man/man3/cap_launch.3"
%attr(644,root,root) "/usr/share/man/man3/cap_func_launcher.3"
%attr(644,root,root) "/usr/share/man/man3/cap_iab_dup.3"
%attr(644,root,root) "/usr/share/man/man3/cap_from_name.3"
%attr(644,root,root) "/usr/share/man/man3/cap_set_syscall.3"
%attr(644,root,root) "/usr/share/man/man3/cap_set_flag.3"
%attr(644,root,root) "/usr/share/man/man3/capgetp.3"
%attr(644,root,root) "/usr/share/man/man3/cap_proc_root.3"
%attr(644,root,root) "/usr/share/man/man3/cap_get_secbits.3"
%attr(644,root,root) "/usr/share/man/man3/cap_copy_ext.3"
%attr(644,root,root) "/usr/share/man/man3/cap_copy_int_check.3"
%attr(644,root,root) "/usr/share/man/man3/cap_dup.3"
%attr(644,root,root) "/usr/share/man/man3/cap_iab.3"
%attr(644,root,root) "/usr/share/man/man3/cap_set_secbits.3"
%attr(644,root,root) "/usr/share/man/man3/psx_syscall3.3"
%attr(644,root,root) "/usr/share/man/man3/cap_get_pid.3"
%attr(644,root,root) "/usr/share/man/man3/cap_iab_get_pid.3"
%attr(644,root,root) "/usr/share/man/man3/cap_set_fd.3"
%attr(644,root,root) "/usr/share/man/man3/cap_drop_bound.3"
%attr(644,root,root) "/usr/share/man/man3/cap_iab_set_proc.3"
%attr(644,root,root) "/usr/share/man/man3/psx_load_syscalls.3"
%attr(644,root,root) "/usr/share/man/man3/cap_iab_fill.3"
%attr(644,root,root) "/usr/share/man/man3/cap_prctl.3"
%attr(644,root,root) "/usr/share/man/man3/cap_set_proc.3"
%attr(644,root,root) "/usr/share/man/man3/cap_set_nsowner.3"
%attr(644,root,root) "/usr/share/man/man3/cap_get_fd.3"
%attr(644,root,root) "/usr/share/man/man3/cap_init.3"
%attr(644,root,root) "/usr/share/man/man3/cap_iab_get_vector.3"
%attr(644,root,root) "/usr/share/man/man3/cap_set_file.3"
%attr(644,root,root) "/usr/share/man/man3/cap_free.3"
%attr(644,root,root) "/usr/share/man/man3/cap_fill_flag.3"
%attr(644,root,root) "/usr/share/man/man3/cap_clear.3"
%attr(644,root,root) "/usr/share/man/man3/cap_get_flag.3"
%attr(644,root,root) "/usr/share/man/man3/cap_from_text.3"
%attr(644,root,root) "/usr/share/man/man3/cap_mode_name.3"
%attr(644,root,root) "/usr/share/man/man3/cap_max_bits.3"
%attr(644,root,root) "/usr/share/man/man3/cap_setuid.3"
%attr(644,root,root) "/usr/share/man/man3/cap_iab_set_vector.3"
%attr(644,root,root) "/usr/share/man/man3/cap_get_mode.3"
%attr(644,root,root) "/usr/share/man/man3/cap_iab_init.3"
%attr(644,root,root) "/usr/share/man/man3/libpsx.3"
%attr(644,root,root) "/usr/share/man/man3/psx_syscall6.3"
%attr(644,root,root) "/usr/share/man/man5/capability.conf.5"
%attr(644,root,root) "/usr/share/man/man8/getpcaps.8"
%attr(644,root,root) "/usr/share/man/man8/captree.8"
%attr(644,root,root) "/usr/share/man/man8/pam_cap.8"
%attr(644,root,root) "/usr/share/man/man8/getcap.8"
%attr(644,root,root) "/usr/share/man/man8/setcap.8"
%attr(644,root,root) "/usr/share/man/man1/capsh.1"

%files -n libcap-bin
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/sbin"
%attr(755,root,root) "/usr/sbin/capsh"
%attr(755,root,root) "/usr/sbin/getcap"
%attr(755,root,root) "/usr/sbin/getpcaps"
%attr(755,root,root) "/usr/sbin/setcap"

%%prep
echo "include logs and patches, Please check them in SOURCES"

